Bug 953700

Summary: deluge bundles rencode
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: delugeAssignee: Michael Cronenworth <mike>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jonathan.underwood, metherid
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: http://dev.deluge-torrent.org/ticket/2326
Whiteboard:
Fixed In Version: deluge-1.3.11-3.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-26 02:38:24 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 953699    
Bug Blocks: 504493    

Description T.C. Hollingsworth 2013-04-18 20:46:11 EDT
During the review for xpra (bug 928609), Karel Volný discovered that both deluge and xpra bundle rencode from https://code.google.com/p/rencode/.  To avoid the bundling in xpra, I packaged python-rencode in bug 953699.

xpra uses the Cython version, while deluge uses the pure Python version.  Since both implementations provide the same interface, deluge could avoid bundling and benefit from a faster C implementation by using the python-rencode package as well.  The module also provides the pure Python version if the C implementation is undesired for any reason.
Comment 1 T.C. Hollingsworth 2013-04-18 21:27:15 EDT
Sorry, typoed the dependency.
Comment 2 Fedora Update System 2013-05-14 19:17:26 EDT
deluge-1.3.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/deluge-1.3.6-3.fc19
Comment 3 Fedora Update System 2013-05-24 16:44:01 EDT
deluge-1.3.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Jonathan Underwood 2015-06-14 19:08:05 EDT
Re-opening this as deluge is still bundling rencode.
Comment 5 Jonathan Underwood 2015-06-14 19:21:10 EDT
I have looked at the spec, and the wrong strategy seems to have been used to unbundle rencode - the package BuildRequires python-rencode, rather than Requires it, which is all very odd. Unfortunately I didn't have time to probe any deeper.
Comment 6 Michael Cronenworth 2015-06-14 19:25:08 EDT
Yes, the "fix" did nothing. I have properly removed the bundled copy. A new build is being pushed. Thanks.
Comment 7 Fedora Update System 2015-06-14 19:41:04 EDT
deluge-1.3.11-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/deluge-1.3.11-3.fc22
Comment 8 Fedora Update System 2015-06-14 19:41:48 EDT
deluge-1.3.11-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/deluge-1.3.11-3.fc21
Comment 9 Fedora Update System 2015-06-18 09:23:54 EDT
Package deluge-1.3.11-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing deluge-1.3.11-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10062/deluge-1.3.11-3.fc22
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2015-06-26 02:38:24 EDT
deluge-1.3.11-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-06-26 02:40:14 EDT
deluge-1.3.11-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.